User 3 endpoints

DELETE /users/{id}

Delete an existing user

operationId: User_deleteUser

Parameters

Name In Required Type Description
id path required integer

ID of the user you wish to delete

Responses

200

200

400

400

DELETE /users/{id}
GET /users/{id}

Retrieve an existing user

operationId: User_getById

Parameters

Name In Required Type Description
id path required integer

ID of the user you want to view

Responses

200

200

400

400

GET /users/{id}
PUT /users/{id}

Update an existing user

operationId: User_updateExistingUser

Parameters

Name In Required Type Description
id path required integer

ID of the user

Request Body

application/json
schema UserUpdateExistingUserRequest

Responses

200

200

400

400

PUT /users/{id}

Webhook 4 endpoints

POST /webhooks

Create a new webhook

operationId: Webhook_createNewWebhook

Request Body

application/json
schema WebhookCreateNewWebhookRequest

Responses

201

201

POST /webhooks
DELETE /webhooks/{id}

Delete an existing webhook

operationId: Webhook_deleteExisting

Parameters

Name In Required Type Description
id path required integer

The webhook id

Responses

200

200

DELETE /webhooks/{id}
GET /webhooks/{id}

Retrieve an existing webhook

operationId: Webhook_getById

Parameters

Name In Required Type Description
id path required integer

Responses

200

200

GET /webhooks/{id}
PUT /webhooks/{id}

Update an existing webhook

operationId: Webhook_updateExisting

Parameters

Name In Required Type Description
id path required integer

The webhook id

Request Body

application/json
schema WebhookUpdateExistingRequest

Responses

200

200

400

400

PUT /webhooks/{id}